<?php
/**
 * Template for displaying the enroll button
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 1.0
 */

if ( !defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$course = LP()->global['course'];

if ( !$course->is_required_enroll() ) {
	return;
}

$course_status = learn_press_get_user_course_status();
$user          = learn_press_get_current_user();
if ( $user->has( 'enrolled-course', $course->id ) ) {
	return;
}

if ( !$user->can( 'enroll-course', $course->id ) ) {
	learn_press_display_message( apply_filters( 'learn_press_user_can_not_enroll_course_message', __( 'Sorry! You can not buy this course right now. Please contact admin site for more information', 'cryptic' ), $course, $user ) );
	return;
}

$purchase_button_text = apply_filters( 'learn_press_purchase_button_text', esc_html__( 'Buy this course', 'cryptic' ) );

?>