<?php 
$responsive_headings =  array(
            'title'      => esc_html__( 'Responsive Typography', 'cryptic' ),
            'id'         => 'mt_styling_typography_responsive',
            'subsection' => true,
            'fields'     => array(
                array(
                    'id'   => 'mt_divider_responsive_h_tablets',
                    'type' => 'info',
                    'class' => 'mt_divider',
                    'desc' => wp_kses_post( '<h3>Headings Typography on Tablets (Medium Resolution Devices)</h3>' )
                ),
                array(
                    'id'          => 'mt_heading_h1_tablets',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H1 Font size - Tablets', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'font-family'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '36px', 
                        'line-height' => '39px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h2_tablets',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H2 Font size - Tablets', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'font-family'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '32px', 
                        'line-height' => '35px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h3_tablets',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H3 Font size - Tablets', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'font-family'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '28px', 
                        'line-height' => '31px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h4_tablets',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H4 Font size - Tablets', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-family'  => false,
                    'font-style'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '24px', 
                        'line-height' => '27px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h5_tablets',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H5 Font size - Tablets', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'font-family'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '20px', 
                        'line-height' => '23px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h6_tablets',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H6 Font size - Tablets', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'subsets'     => false,
                    'font-family'  => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '18px', 
                        'line-height' => '21px', 
                    ),
                ),
                array(
                    'id'   => 'mt_divider_responsive_h_smartphones',
                    'type' => 'info',
                    'class' => 'mt_divider',
                    'desc' => wp_kses_post( '<h3>Headings Typography on SmartPhones (Small Resolution Devices)</h3>' )
                ),
                array(
                    'id'          => 'mt_heading_h1_smartphones',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H1 Font size - Smartphones', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'font-family'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '20px', 
                        'line-height' => '23px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h2_smartphones',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H2 Font size - Smartphones', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'font-family'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '18px', 
                        'line-height' => '21px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h3_smartphones',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H3 Font size - Smartphones', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'font-family'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '16px', 
                        'line-height' => '19px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h4_smartphones',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H4 Font size - Smartphones', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-family'  => false,
                    'font-style'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '14px', 
                        'line-height' => '17px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h5_smartphones',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H5 Font size - Smartphones', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'font-family'  => false,
                    'subsets'     => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '12px', 
                        'line-height' => '15px', 
                    ),
                ),
                array(
                    'id'          => 'mt_heading_h6_smartphones',
                    'type'        => 'typography', 
                    'title'       => esc_html__('Heading H6 Font size - Smartphones', 'cryptic'),
                    'google'      => true, 
                    'font-backup' => true,
                    'color'       => false,
                    'text-align'  => false,
                    'letter-spacing'  => false,
                    'line-height'  => true,
                    'font-weight'  => false,
                    'font-size'   => true,
                    'font-style'  => false,
                    'subsets'     => false,
                    'font-family'  => false,
                    'units'       =>'px',
                    'default'     => array(
                        'font-size' => '10px', 
                        'line-height' => '13px', 
                    ),
                ),
            ),
        );